The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Problem with OpenSSL Version

Discussion in 'Security' started by Enlightened IT, Feb 23, 2017.

Tags:
  1. Enlightened IT

    Enlightened IT Registered

    Joined:
    Feb 23, 2017
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Leeds, UK
    cPanel Access Level:
    Root Administrator
    Hi Guys,

    I seem to be facing an issue with the version of Openssl the software is reporting. Using some software Woocommerce to be exact it is saying:

    cURL Version: 7.38.0, OpenSSL/1.0.0

    however when I type openssl -version in ssh I get

    OpenSSL 1.0.1k-fips 8 Jan 2015


    PHP version is

    PHP 5.6.30 (cli) (built: Feb 23 2017 14:36:28)


    WHM Version is WHM 62.0 (build 15)

    Can anyone shed any light on this or let me know how to fix it as I am getting the following error:

    Remote Post: wp_remote_post() failed. PayPal IPN won't work with your server. Contact your hosting provider. Error: cURL error 35: Unsupported SSL protocol version



    Thanks

    Darren
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    37,064
    Likes Received:
    1,287
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    Could you verify if this system uses EasyApache 3, or EasyApache 4?

    Thank you.
     
  3. Enlightened IT

    Enlightened IT Registered

    Joined:
    Feb 23, 2017
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Leeds, UK
    cPanel Access Level:
    Root Administrator
    Hi Easy Apache 3
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    37,064
    Likes Received:
    1,287
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
  5. John Rev

    John Rev Registered

    Joined:
    Jun 26, 2017
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    United States
    cPanel Access Level:
    Root Administrator
    Hello. I too am having an issue where CURLSSL is enabled but the wp_remote_post doesnt work, and when I switch that to CURL in Easy Apache 3 it then works. However getting rid of CURLSSL is breaking a gateway in Magento for authorize.net, so I can't figure how to get both Magento working with the curlssl and woocommerce with the curl, unless I can figure out why the curlssl isn't also taking care of the curl..
     
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    37,064
    Likes Received:
    1,287
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    To clarify, have you already tried the workaround referenced on the post linked in my previous response?

    Thank you.
     
Loading...

Share This Page